package net.locusworks.crypto;

import java.nio.charset.StandardCharsets;
import java.security.PrivateKey;

public class AESKey implements PrivateKey {
  
  private static final long serialVersionUID = -8452357427706386362L;
  private String seed;
  
  public AESKey(String seed) {
    this.seed = seed;
  }

  @Override
  public String getAlgorithm() {
    return "aes";
  }

  @Override
  public String getFormat() {
    return "aes-seed";
  }

  @Override
  public byte[] getEncoded() {
    return this.seed.getBytes(StandardCharsets.UTF_8);
  }
}
