package net.locusworks.crypto.tests;

import org.apache.commons.lang3.StringUtils;
import org.junit.Assert;
import org.junit.Test;

import net.locusworks.crypto.AES;

public class AESEncryptionTest {

  @Test
  public void testEncryption() {
    try {
      String encrypted = AES.createInstance().encrypt("hello world");
      Assert.assertTrue(String.format("Encrypted String is not blank? :%s",  encrypted), !StringUtils.isBlank(encrypted));
    } catch (Exception ex) {
      ex.printStackTrace(System.err);
      Assert.fail();
    }
  }

  @Test
  public void testDecryption() {
    String testString ="hello world";
    try {
      AES aes = AES.createInstance();
      String encrypted = aes.encrypt(testString);
      Assert.assertTrue(String.format("Encrypted String is not blank? :%s",  encrypted), !StringUtils.isBlank(encrypted));
      
      String decrypted = aes.decrypt(encrypted);
      Assert.assertTrue(String.format("Decrypted String is not blank? :%s",  decrypted), !StringUtils.isBlank(encrypted));
      
      Assert.assertTrue("Test String and Original String the same? :%s", testString.equals(decrypted));
      
    } catch (Exception ex) {
      ex.printStackTrace(System.err);
      Assert.fail();
    }
  }

}
